#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 17. Networking Libraries

- Prev

  libndp-1.8

- Next

  libtirpc-1.3.2

- Up
- Home

# libsoup-2.74.2

## Introduction to libsoup

The libsoup is a HTTP client/server library for GNOME. It uses GObject and the GLib main loop to integrate with GNOME applications and it also has an asynchronous API for use in threaded applications.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/libsoup/2.74/libsoup-2.74.2.tar.xz

- Download (FTP): ftp://ftp.acc.umu.se/pub/gnome/sources/libsoup/2.74/libsoup-2.74.2.tar.xz

- Download MD5 sum: d8c5bc7f471c7462c29cc2ccebe3d9ca

- Download size: 1.4 MB

- Estimated disk space required: 16 MB (with tests)

- Estimated build time: 0.2 SBU (Using parallelism=4; with tests)

### Warning

You may have noticed newer libsoup releases versioned 3.x.y is available. However, currently some downstream packages support libsoup-3.x, while the others do not. Installing libsoup-3.x into BLFS is known to cause troubles, even if both libsoup-2.x and 3.x are installed. So, do not install libsoup-3.x into BLFS unless you know what you are doing. We plan to keep using libsoup-2.x for BLFS until GNOME-42 release.

### libsoup Dependencies

#### Required

glib-networking-2.70.1, libpsl-0.21.1, libxml2-2.9.13, and SQLite-3.37.2

#### Recommended

gobject-introspection-1.70.0 and Vala-0.54.7

#### Optional

Apache-2.4.52 (required to run the test suite), Brotli-1.0.9, cURL-7.81.0 (required to run the test suite), sysprof-3.42.1 (for profiling), MIT Kerberos V5-1.19.2 (required to run the test suite), GTK-Doc-1.33.2, PHP-8.1.3 compiled with XMLRPC-EPI support (only used for the XMLRPC regression tests), and Samba-4.15.5 (ntlm_auth is required to run the test suite)

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/libsoup

## Installation of libsoup

Install libsoup by running the following commands:

    mkdir build &&
    cd    build &&

    meson --prefix=/usr       \
          --buildtype=release \
          -Dvapi=enabled      \
          -Dgssapi=disabled   \
          -Dsysprof=disabled  \
          ..                  &&
    ninja

To test the results, issue: ninja test.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-Dvapi=disabled`: Use this if you have not installed Vala, e.g. because you are not building GNOME.

`-Ddoc=enabled`: Use this option if you want to build the documentation. Note that you must have GTK-Doc-1.33.2 installed.

`-Dgssapi=disabled`: libsoup defaults to building with GSSAPI support, which requires Kerberos (as does the test suite). If you are building GNOME or have kerberos installed, remove this option.

`-Dsysprof=disabled`: libsoup will automatically download a git version of sysprof-3.42.1 if git is available or use the installed version if available. If you need profiling, remove this option.

## Contents

Installed Programs: None
Installed Libraries: libsoup-2.4.so and libsoup-gnome-2.4.so
Installed Directories: /usr/include/libsoup-2.4, /usr/include/libsoup-gnome-2.4 and /usr/share/gtk-doc/html/libsoup-2.4

### Short Descriptions

`libsoup-2.4.so` | provides functions for asynchronous HTTP connections
`libsoup-gnome-2.4.so` | provides GNOME specific features

Last updated on

- Prev

  libndp-1.8

- Next

  libtirpc-1.3.2

- Up
- Home